SETFATTR(1)

NAME
setfattr - set extended attributes of filesystem objects

SYNOPSIS
setfattr [-h] -n name [-v value] pathname...
setfattr [-h] -x name pathname...
setfattr [-h] --restore=file

DESCRIPTION
The setfattr command associates a new value with an extended attribute name for each specified file.

  OPTIONS

-n name, --name=name
    Specifies the name of the extended attribute to set.

-v value, --value=value
    Specifies the new value for the extended attribute.

-x name, --remove=name
    Remove the named extended attribute entirely.

-h, --no-dereference
    Do not follow symlinks. If pathname is a symbolic link, it is not followed, but is instead itself the inode being modified.

--restore=file
    Restores extended attributes from file. The file must be in the format generated by the getfattr command with the --dump option. If a dash (-) is given as the file name, setfattr reads from standard input.

--version
    Print the version of setfattr and exit.

--help
    Print help explaining the command line options.

--  End of command line options. All remaining parameters are interpreted as file names, even if they start with a dash character.

AUTHOR
Andreas Gruenbacher, <a.gruenbacher@computer.org> and the SGI XFS development team, <linux-xfs@oss.sgi.com>.

Please send your bug reports or comments to these addresses.

SEE ALSO
getfattr(1), and attr(5).